maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Guillaume Boué (JIRA) <j...@apache.org>
Subject [jira] [Commented] (MINVOKER-214) Allow indexed maven.version and os.familiy in invoker.properties
Date Tue, 17 Jan 2017 20:49:26 GMT

    [ https://issues.apache.org/jira/browse/MINVOKER-214?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15826773#comment-15826773
] 

Guillaume Boué commented on MINVOKER-214:
-----------------------------------------

Is it not possible to support a {{invoker.java.version.1}} syntax? It would prevent the creation
of a new syntax just for those. Also, can the documentation be updated in [the selector conditions
page|http://maven.apache.org/plugins/maven-invoker-plugin/examples/selector-conditions.html]?

> Allow indexed maven.version and os.familiy in invoker.properties
> ----------------------------------------------------------------
>
>                 Key: MINVOKER-214
>                 URL: https://issues.apache.org/jira/browse/MINVOKER-214
>             Project: Maven Invoker Plugin
>          Issue Type: Task
>    Affects Versions: 2.0.0
>            Reporter: Robert Scholte
>            Assignee: Robert Scholte
>             Fix For: 3.0.0
>
>
> MINVOKER-209 requires two criteria to run, i.e:
> - Always for non-windows
> - When Windows, run it only with Maven 3.5.0+
> For {{maven.version}}, {{os.family}} and {{java.version}} indexed keys are not allowed
(undocumented!), because it makes it much easier to explain why the IT didn't run. In fact,
there are much more properties which don't work with an index.
> We could clone the test, but that implies you need to keep both ITs in sync.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message